#!/usr/bin/env python
# -*- encoding: utf-8 -*-


from ui.cell import Cell
from ui.own.frame_theme import MyFrame
from ui.own.my_chart_view import MyChartView
from utils.globalvar import SD
from utils.qt import QLineSeries, QChart, QValueAxis, QHBoxLayout, QPainter, Qt, Signal, Slot, QLegendMarker


class Win_Cell(Cell, MyFrame):

    cell_vol_signal = Signal(int)
    cell_temp_signal = Signal(int)
    jz_temp_signal = Signal(int)
    bcu_temp_signal = Signal(int)
    mos_temp_signal = Signal(int)

    def __init__(self, parent=None):
        super(Win_Cell, self).__init__(parent)
        self.setupUi(self)
        
        if SD.CCU_TYPE == 1:
            self.btn_cell_vol.clicked.connect(self._cell_vol)
            self.btn_cell_temp.clicked.connect(self._cell_temp)
            self.btn_jz_temp.clicked.connect(self._jz_temp)
            self.btn_bcu_temp.clicked.connect(self._bcu_temp)

    def _cell_vol(self):
        self.cell_vol_signal.emit(0)
    
    def _cell_temp(self):
        self.cell_temp_signal.emit(1)

    def _jz_temp(self):
        self.jz_temp_signal.emit(2)

    def _bcu_temp(self):
        self.bcu_temp_signal.emit(3)

    def _mos_temp(self):
        self.mos_temp_signal.emit(4)
